## ros-iron-plansys2-tests 2.0.11

=== CMakeLists.txt ===
project(plansys2_tests)

cmake_minimum_required(VERSION 3.5)

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_action REQUIRED)
find_package(rclcpp_lifecycle REQUIRED)
find_package(lifecycle_msgs REQUIRED)
find_package(rclcpp_cascade_lifecycle REQUIRED)
find_package(ament_index_cpp REQUIRED)
find_package(plansys2_pddl_parser REQUIRED)
find_package(plansys2_msgs REQUIRED)
find_package(plansys2_domain_expert REQUIRED)
find_package(plansys2_problem_expert REQUIRED)
find_package(plansys2_planner REQUIRED)
find_package(plansys2_executor REQUIRED)
find_package(behaviortree_cpp_v3 REQUIRED)

set(CMAKE_CXX_STANDARD 17)

set(dependencies
    rclcpp
    rclcpp_lifecycle
    lifecycle_msgs
    rclcpp_cascade_lifecycle
    rclcpp_action
    plansys2_pddl_parser
    ament_index_cpp
    plansys2_msgs
    plansys2_domain_expert
    plansys2_problem_expert
    plansys2_planner
    plansys2_executor
    behaviortree_cpp_v3
)

include_directories(include)

set(${PROJECT_NAME}_SOURCES
  src/plansys2_tests/test_action_node.cpp
  src/plansys2_tests/execution_logger.cpp
)

add_library(${PROJECT_NAME} SHARED ${${PROJECT_NAME}_SOURCES})
ament_target_dependencies(${PROJECT_NAME} ${dependencies})

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_gtest REQUIRED)

  add_subdirectory(test_1)
  add_subdirectory(test_2)
  add_subdirectory(test_3)
endif()

ament_package()

=== test_1/CMakeLists.txt ===
install(DIRECTORY pddl
  DESTINATION share/${PROJECT_NAME}/test_1
)

ament_add_gtest(test_1 test_1.cpp)
target_link_libraries(test_1 ${PROJECT_NAME})

=== test_2/CMakeLists.txt ===
install(DIRECTORY pddl
  DESTINATION share/${PROJECT_NAME}/test_2
)

ament_add_gtest(test_2 test_2.cpp)
target_link_libraries(test_2 ${PROJECT_NAME})

=== test_3/CMakeLists.txt ===
install(DIRECTORY pddl
  DESTINATION share/${PROJECT_NAME}/test_3
)

ament_add_gtest(test_3 test_3.cpp TIMEOUT 300)
target_link_libraries(test_3 ${PROJECT_NAME})

=== debian/changelog ===
ros-iron-plansys2-tests (2.0.11-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 01 Aug 2023 22:00:00 -0000

ros-iron-plansys2-tests (2.0.10-1jammy) jammy; urgency=high

  * Merge remote-tracking branch 'origin/humble-devel'
  * Merge remote-tracking branch 'origin/master' into fix_goal_structure_issue_205
  * Contributors: Francisco Martín Rico, Marco Roveri

 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 16 Jul 2023 22:00:00 -0000

ros-iron-plansys2-tests (2.0.9-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 09 Jul 2022 22:00:00 -0000

ros-iron-plansys2-tests (2.0.8-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 03 May 2022 22:00:00 -0000

ros-iron-plansys2-tests (2.0.7-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 03 May 2022 22:00:00 -0000

ros-iron-plansys2-tests (2.0.6-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 22:00:00 -0000

ros-iron-plansys2-tests (2.0.5-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 22:00:00 -0000

ros-iron-plansys2-tests (2.0.4-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 22:00:00 -0000

ros-iron-plansys2-tests (2.0.3-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 02 Apr 2022 22:00:00 -0000

ros-iron-plansys2-tests (2.0.2-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 02 Apr 2022 22:00:00 -0000

ros-iron-plansys2-tests (2.0.1-1jammy) jammy; urgency=high

  * Merge galactic-devel
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 02 Feb 2022 23:00:00 -0000

ros-iron-plansys2-tests (2.0.0-1jammy) jammy; urgency=high

  * Fix compile issues for galactic
  * Contributors: Francisco Martín Rico, bjnjo

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 03 Jul 2021 22:00:00 -0000

ros-iron-plansys2-tests (1.0.10-1jammy) jammy; urgency=high

  * Remove node parameter in client constructors
  * ros2-plan-msg: Passing plan to executor to add further separation between plan creation and plan execution.
  * pddl-tree-messages: Performing some minor cleanup.
  * pddl-tree-messages: Using explicit specifier for single parameter constructors in plansys2_core/Types.hpp.
  * pddl-tree-messages: Replacing user access function calls with shorter versions where possible.
  * pddl-tree-messages: Updating addInstance and removeInstance calls to use helper classes.
  * pddl-tree-messages: Merging master and resolving conflicts.
  * Using custom behavior tree to enable action timeouts.
  * pddl-tree-messages: Using ROS messages to define the PDDL construct trees.
  * Tests with parallel execution
  * Complete test2 description
  * Added test for subtypes
  * fix copy/paste
  * Plansys2_tests package
  * Contributors: Francisco Martín Rico, Josh Zapf

 -- Francisco Martin Rico <fmrico@gmail.com>  Fri, 02 Jul 2021 22:00:00 -0000

=== debian/control ===
Source: ros-iron-plansys2-tests
Section: misc
Priority: optional
Maintainer: Francisco Martin Rico <fmrico@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-index-cpp, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-behaviortree-cpp-v3, ros-iron-lifecycle-msgs, ros-iron-plansys2-domain-expert, ros-iron-plansys2-executor, ros-iron-plansys2-msgs, ros-iron-plansys2-pddl-parser, ros-iron-plansys2-planner, ros-iron-plansys2-problem-expert, ros-iron-rclcpp, ros-iron-rclcpp-action, ros-iron-rclcpp-cascade-lifecycle, ros-iron-rclcpp-lifecycle, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-plansys2-tests
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-ament-index-cpp, ros-iron-behaviortree-cpp-v3, ros-iron-lifecycle-msgs, ros-iron-plansys2-domain-expert, ros-iron-plansys2-executor, ros-iron-plansys2-msgs, ros-iron-plansys2-pddl-parser, ros-iron-plansys2-planner, ros-iron-plansys2-problem-expert, ros-iron-popf, ros-iron-rclcpp, ros-iron-rclcpp-action, ros-iron-rclcpp-cascade-lifecycle, ros-iron-rclcpp-lifecycle, ros-iron-ros-workspace
Description: This package contains the tests package for the ROS2 Planning System

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-plansys2-tests//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
